#!/bin/sh

set -ex

#echo "148.251.84.120 repo.codeit.guru" >> /etc/hosts
#cat /etc/hosts
#ping -c 1 repo.codeit.guru

cd /etc/yum.repos.d && curl https://repo.codeit.guru/codeit.el`rpm -q --qf "%{VERSION}" $(rpm -q --whatprovides redhat-release)`.repo > codeit.el7.repo
yum -y install epel-release gcc
yum -y update

yum -y --enablerepo CodeIT install httpd
yum -y install lua lua-devel luarocks lua-socket pcre-devel openssl-devel

luarocks install lua-hiredis
luarocks install lua-cjson
luarocks install lrexlib-pcre
luarocks install openssl --server=https://rocks.moonscript.org/dev

cat > /etc/yum.repos.d/scraperwall.repo <<EOF
[scraperwall]
name=ScraperWall RPM repository
baseurl=https://rpm.scraperwall.com/centos7/
gpgcheck=1
gpgkey=https://rpm.scraperwall.com/centos7/rpm-gpg-key-scraperwall
enabled=1
EOF

yum -y install scw-captcha scw-apache-lua
